package com.uas.platform.b2b.manage.page;

import java.io.Serializable;
import java.util.List;

/**
 * 分页信息配置
 * 
 * @author hejq
 * @date 2018-04-23 11:22
 * @param <T>
 */
public class IPage<T> implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -6338331260909724178L;
	private int number;
	private int size;
	private int numberOfElements;
	private List<T> content;
	private boolean first;
	private boolean last;
	private long totalElements;
	
	public long getTotalElements() {
		return totalElements;
	}
	public void setTotalElements(long totalElements) {
		this.totalElements = totalElements;
	}
	public int getNumber() {
		return number;
	}
	public void setNumber(int number) {
		this.number = number;
	}
	public int getSize() {
		return size;
	}
	public void setSize(int size) {
		this.size = size;
	}
	public int getNumberOfElements() {
		return numberOfElements;
	}
	public void setNumberOfElements(int numberOfElements) {
		this.numberOfElements = numberOfElements;
	}
	public List<T> getContent() {
		return content;
	}
	public void setContent(List<T> content) {
		this.content = content;
	}
	public boolean isFirst() {
		return first;
	}
	public void setFirst(boolean first) {
		this.first = first;
	}
	public boolean isLast() {
		return last;
	}
	public void setLast(boolean last) {
		this.last = last;
	}

}
